Bug 145669 - audio/gnome-media hard dep on pulseaudio
Summary: audio/gnome-media hard dep on pulseaudio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-13 10:40 UTC by David Demelier
Modified: 2010-07-25 15:30 UTC (History)
0 users

See Also:


Attachments
file.diff (587 bytes, patch)
2010-04-13 10:40 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2010-04-13 10:40:03 UTC
gnome-media needs pulseaudio and we can not choose option to remove it. It doesn't need it but we can add it as a optional dependency. 

You can make config-recursive in x11/gnome2-lite to remove pulseaudio on some ports, so if gnome-media needs pulseaudio it's amibugous.

Fix: apply the patch below which add a pulseaudio option.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/x11/gnome2-lite && make config-recursive
#
# remove pulseaudio
#
make missing | grep -i pulse
echo $? # show 0 ;)
Comment 1 Edwin Groothuis freebsd_committer 2010-04-13 10:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 David Demelier 2010-04-13 11:56:30 UTC
Please remove the line

+.include <bsd.port.pre.mk>

It won't build if not.
Sorry for the disturbance.

2010/4/13  <FreeBSD-gnats-submit@freebsd.org>:
> Thank you very much for your problem report.
> It has the internal identification `ports/145669'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D145669
>
>>Category: =A0 =A0 =A0 ports
>>Responsible: =A0 =A0freebsd-ports-bugs
>>Synopsis: =A0 =A0 =A0 audio/gnome-media hard dep on pulseaudio
>>Arrival-Date: =A0 Tue Apr 13 09:40:03 UTC 2010
>



--=20
Demelier David
Comment 3 Jeremy Messenger freebsd_committer 2010-04-28 03:42:49 UTC
State Changed
From-To: open->analyzed

The patch doesn't look right. It needs the --disable-pulseaudio (or something) 
like that. I will check more in it this weekend. 

By the way, when you ran config-recursive in the higher level. It does not 
means that it will be complete disable option in all the ports. It's merely 
pick up from one of lower ports' option, not in gnome-lite.
Comment 4 Jeremy Messenger freebsd_committer 2010-06-24 18:04:30 UTC
State Changed
From-To: analyzed->patched

I have committed it into MarcusCom ports-stable and it will be merged into 
FreeBSD ports tree when FreeBSD 8.1 released. Your patch was incompleted as 
it needs the changes in the plist too.
Comment 5 dfilter service freebsd_committer 2010-07-25 15:27:47 UTC
kwm         2010-07-25 14:27:33 UTC

  FreeBSD ports repository

  Modified files:
    audio/gnome-media    Makefile pkg-plist 
  Log:
  Make the dependancy on pulseaudio optional.
  
  PR:             ports/145669 (based on)
  Submitted by:   Demelier David <demelier.david@gmail.com>
  
  Revision  Changes    Path
  1.103     +16 -4     ports/audio/gnome-media/Makefile
  1.43      +45 -45    ports/audio/gnome-media/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Koop Mast freebsd_committer 2010-07-25 15:28:23 UTC
State Changed
From-To: patched->closed

Committed thanks.